#include <hidef.h>         /* common defines and macros */
#include <mc9s12dt256.h>     /* derivative information */
#include "aps12c32slk.h"   /* I/O definitions and init routines */

#pragma LINK_INFO DERIVATIVE "mc9s12dt256"

void main(void) {
   
  
  INIT_APSLK_PBs;
  INIT_APSLK_LEDs;
//  INIT_APSLK_POT;
  
  EnableInterrupts;
        
  for(;;) {
    /* PB1 = LED1 */
    if (!APSLK_PB1)
    {
      APSLK_LED1 = APSLK_PB1;	     //LED 1 Active
    } 
    /* PB2 = LED2 */
    else if(!APSLK_PB2)
    {
      APSLK_LED2 = APSLK_PB2;     //LED 2 Active
      } 
    else{   
      APSLK_LED2 = OFF;
      APSLK_LED1 = OFF;
    }
       } /* wait forever */
}


  

